package com.qmth.jkserver.controller.system;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.qmth.jkserver.params.ExamKwProgressParams;
import com.qmth.jkserver.service.KWService;

import javax.annotation.Resource;

/**
 * 考务数据下载进度汇总
 *
 * @author tianjun
 */
@Controller
@RequestMapping("/system/kwProgress")
public class ExamKwProgressController extends BaseSystemController {

    @Resource
    @Lazy
    private KWService kWService;

    @ResponseBody
    @RequestMapping(value = "/pageQuery", method = RequestMethod.POST)
    public Object getStudtentDetails(ExamKwProgressParams params) {
        return kWService.queryKwProgress(params);
    }

}
