package com.qmth.jkserver.dao;

//import java.util.List;
//import org.springframework.data.mongodb.repository.MongoRepository;
//import com.qmth.jkserver.model.StudentInfoTemp;
//
//public interface StudentInfoTempDao extends MongoRepository<StudentInfoTemp, String>{
//
//	public List<StudentInfoTemp> findByExamCodeAndAttachmentId(String examCode,String attachmentId);
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.jkserver.model.StudentInfoTemp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 学生信息临时表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface StudentInfoTempDao extends BaseMapper<StudentInfoTemp> {
    public List<StudentInfoTemp> findByExamCodeAndAttachmentId(@Param("examCode") String examCode, @Param("attachmentId") Long attachmentId);
}
