package com.qmth.jkserver.model;

//import java.io.Serializable;
//import java.util.Date;
//
//import org.springframework.data.annotation.Id;
//import org.springframework.data.mongodb.core.mapping.Document;
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// *  考生答案数据包上传历史记录
// *  支持通用机考、优特机考、视唱机考
// * @author tianjun
// *
// */
//@Document(collection = "jk_kj_upload_history")
//public class KjUploadHistory implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = -6624764888197088459L;
//
//	@Id
//	private String id;
//
//	/**
//	 * 考试识别码  全局唯一
//	 */
//	@Field("exam_code")
//	private String examCode;
//
//	/**
//	 * 考点
//	 */
//	@Field("place_code")
//	private String placeCode;
//
//	//考生
//	@Field("student")
//    //TODO 待关联
//	private ExamStudent student;
//
//	/**
//	 * 考场
//	 */
//	@Field("room_code")
//	private String roomCode;
//
//	/**
//	 * 工作区 原始答案数据包文件
//	 * 考场答案数据包或者考生答案数据包
//	 */
//	@Field("file")
//    //TODO 待关联
//	private Attachment file;
//
//	/**
//	 * 创建时间
//	 */
//	@Field("time")
//	private Date time;
//
//	/**
//	 * @return the student
//	 */
//	public ExamStudent getStudent() {
//		return student;
//	}
//
//	/**
//	 * @param student the student to set
//	 */
//	public void setStudent(ExamStudent student) {
//		this.student = student;
//	}
//
//	public String getId() {
//		return id;
//	}
//
//	public void setId(String id) {
//		this.id = id;
//	}
//
//	public String getExamCode() {
//		return examCode;
//	}
//
//	public void setExamCode(String examCode) {
//		this.examCode = examCode;
//	}
//
//	public String getPlaceCode() {
//		return placeCode;
//	}
//
//	public void setPlaceCode(String placeCode) {
//		this.placeCode = placeCode;
//	}
//
//	public String getRoomCode() {
//		return roomCode;
//	}
//
//	public void setRoomCode(String roomCode) {
//		this.roomCode = roomCode;
//	}
//
//	public Attachment getFile() {
//		return file;
//	}
//
//	public void setFile(Attachment file) {
//		this.file = file;
//	}
//
//	public Date getTime() {
//		return time;
//	}
//
//	public void setTime(Date time) {
//		this.time = time;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考生答案数据包上传历史记录
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value="JkKjUploadHistory对象", description="考生答案数据包上传历史记录")
@TableName("jk_kj_upload_history")
public class KjUploadHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试编码")
    private String examCode;

    @ApiModelProperty(value = "地方编码")
    private String placeCode;

    @ApiModelProperty(value = "学生id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    @ApiModelProperty(value = "考场编码")
    private String roomCode;

    @ApiModelProperty(value = "文件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long attachmentId;

    @ApiModelProperty(value = "创建时间")
    private Long time;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getPlaceCode() {
        return placeCode;
    }

    public void setPlaceCode(String placeCode) {
        this.placeCode = placeCode;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public Long getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Long attachmentId) {
        this.attachmentId = attachmentId;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }
}