package com.qmth.jkserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.jkserver.dao.BasicSchoolDao;
import com.qmth.jkserver.dto.SchoolDto;
import com.qmth.jkserver.model.BasicSchool;
import com.qmth.jkserver.service.BasicSchoolService;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 学校表 服务实现类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@Service
@Scope(proxyMode = ScopedProxyMode.INTERFACES)
public class BasicSchoolServiceImpl extends ServiceImpl<BasicSchoolDao, BasicSchool> implements BasicSchoolService {

    @Resource
    BasicSchoolDao basicSchoolDao;

    @Override
    public List<SchoolDto> listSchool() {
        return basicSchoolDao.listSchool();
    }
}
