package com.qmth.jkserver.model;

//import java.io.Serializable;
//import java.util.Date;
//
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// * 缺考考生
// * @author tianjun
// *
// * TODO 待关联
// */
//public class ExamAbsent implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = -1150568743422682876L;
//
//	/**
//	 * 备注
//	 */
//	@Field("remark")
//	private String remark;
//
//	/**
//	 * 创建时间
//	 */
//	@Field("create_time")
//	private Date createTime;
//
//	/**
//	 * @return the remark
//	 */
//	public String getRemark() {
//		return remark;
//	}
//
//	/**
//	 * @param remark the remark to set
//	 */
//	public void setRemark(String remark) {
//		this.remark = remark;
//	}
//
//	/**
//	 * @return the createTime
//	 */
//	public Date getCreateTime() {
//		return createTime;
//	}
//
//	/**
//	 * @param createTime the createTime to set
//	 */
//	public void setCreateTime(Date createTime) {
//		this.createTime = createTime;
//	}
//}

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 缺考考生
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value="JkExamAbsent对象", description="缺考考生")
@TableName("jk_exam_absent")
public class ExamAbsent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "考生答案id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examStudentAnswerId;

    public Long getExamStudentAnswerId() {
        return examStudentAnswerId;
    }

    public void setExamStudentAnswerId(Long examStudentAnswerId) {
        this.examStudentAnswerId = examStudentAnswerId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}
